using System;
internal class Program
    {
        static int NajveciPodniz(int n, int[] a, int[] b)
        {
            int max = 0;
            for (int l = 0; l < n; l++)
            {
                int xor = 0;   
                int and = ~0;  
                for (int r = l; r < n; r++)
                {
                    xor ^= a[r]; 
                    and &= b[r];  
                    int x = xor * and;
                    max = Math.Max(max, x); 
                }
            }
            return max;
        }
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            int[] a = Array.ConvertAll(Console.ReadLine().Split(), int.Parse);
            int[] b = Array.ConvertAll(Console.ReadLine().Split(), int.Parse);
            Console.WriteLine(NajveciPodniz(n, a, b));
        }
    }